%Hexagonal point picking

clc;
clear all;
rand('state',0);

R=5;

N=10000;
x = R * rand(1,N); % [0,R]
y = (rand(1,N)-0.5)*2*R; %[-R,R]

figure(1);



for n=1:N
   if abs(y(n))+3*x(n) >2*R
       x(n)=x(n)-R;
       y(n)=sign(y(n))*R-y(n);
   end
end

hx = x.*(3/2);
hy=y*sqrt(3/4);

scatter(hx,hy);
axis([-R R -R R]);
hold;

%max(hx)
%min(hx)